Отключение AuthMe после первого запуска

  • Автор темы Удалённый пользователь
  • Дата начала
У

Удалённый пользователь

После того, как скачал AuthMe и запустил сервер, сервер выключается сам.
Код:
[01-01 16:00:51]: [INFO] Created column 'regdate' and set the current timestamp, 1577876451392, to all 0 rows
[01-01 16:00:59]: [INFO] SQLite Setup finished
[01-01 16:00:59]: [WARN] Aborting initialization of AuthMe: [InjectorReflectionException]: Could not invoke method 'setup' for fr.xephi.authme.permission.PermissionsManager@5d4fac
[01-01 16:00:59]: fr.xephi.authme.libs.ch.jalu.injector.exceptions.InjectorReflectionException: Could not invoke method 'setup' for fr.xephi.authme.permission.PermissionsManager@5d4fac
    at fr.xephi.authme.libs.ch.jalu.injector.utils.ReflectionUtils.invokeMethod(ReflectionUtils.java:76)
    at fr.xephi.authme.libs.ch.jalu.injector.handlers.postconstruct.PostConstructMethodInvoker.postProcess(PostConstructMethodInvoker.java:27)
    at fr.xephi.authme.libs.ch.jalu.injector.InjectorImpl.runPostConstructHandlers(InjectorImpl.java:271)
    at fr.xephi.authme.libs.ch.jalu.injector.InjectorImpl.resolveContext(InjectorImpl.java:164)
    at fr.xephi.authme.libs.ch.jalu.injector.InjectorImpl.resolveDependencies(InjectorImpl.java:186)
    at fr.xephi.authme.libs.ch.jalu.injector.InjectorImpl.resolveContext(InjectorImpl.java:158)
    at fr.xephi.authme.libs.ch.jalu.injector.InjectorImpl.resolveDependencies(InjectorImpl.java:186)
    at fr.xephi.authme.libs.ch.jalu.injector.InjectorImpl.resolveContext(InjectorImpl.java:158)
    at fr.xephi.authme.libs.ch.jalu.injector.InjectorImpl.resolve(InjectorImpl.java:133)
    at fr.xephi.authme.libs.ch.jalu.injector.InjectorImpl.getSingleton(InjectorImpl.java:72)
    at fr.xephi.authme.AuthMe.instantiateServices(AuthMe.java:239)
    at fr.xephi.authme.AuthMe.initialize(AuthMe.java:212)
    at fr.xephi.authme.AuthMe.onEnable(AuthMe.java:127)
    at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:264)
    at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:337)
    at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:403)
    at org.bukkit.craftbukkit.v1_12_R1.CraftServer.enablePlugin(CraftServer.java:381)
    at org.bukkit.craftbukkit.v1_12_R1.CraftServer.enablePlugins(CraftServer.java:330)
    at net.minecraft.server.v1_12_R1.MinecraftServer.t(MinecraftServer.java:422)
    at net.minecraft.server.v1_12_R1.MinecraftServer.l(MinecraftServer.java:383)
    at net.minecraft.server.v1_12_R1.MinecraftServer.a(MinecraftServer.java:338)
    at net.minecraft.server.v1_12_R1.DedicatedServer.init(DedicatedServer.java:272)
    at net.minecraft.server.v1_12_R1.MinecraftServer.run(MinecraftServer.java:545)
    at java.lang.Thread.run(Unknown Source)
Caused by: java.lang.reflect.InvocationTargetException
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
    at java.lang.reflect.Method.invoke(Unknown Source)
    at fr.xephi.authme.libs.ch.jalu.injector.utils.ReflectionUtils.invokeMethod(ReflectionUtils.java:73)
    ... 23 more
Caused by: java.lang.NoClassDefFoundError: me/lucko/luckperms/LuckPerms
    at fr.xephi.authme.permission.handlers.LuckPermsHandler.<init>(LuckPermsHandler.java:38)
    at fr.xephi.authme.permission.PermissionsManager.createPermissionHandler(PermissionsManager.java:135)
    at fr.xephi.authme.permission.PermissionsManager.setup(PermissionsManager.java:92)
    ... 28 more
Caused by: java.lang.ClassNotFoundException: me.lucko.luckperms.LuckPerms
    at java.net.URLClassLoader.findClass(Unknown Source)
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:152)
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:100)
    at java.lang.ClassLoader.loadClass(Unknown Source)
    at java.lang.ClassLoader.loadClass(Unknown Source)
    ... 31 more

[01-01 16:00:59]: [WARN] THE SERVER IS GOING TO SHUT DOWN AS DEFINED IN THE CONFIGURATION!
[01-01 16:00:59]: [INFO] AuthMe 5.6.0-beta1-b2226 disabled!
 

Co_Ultimate

Пользователь
Столкнулся с такой же проблемой, этот снапшот ничего не изменил
 

SNR93

Пользователь
1) Неплохо было бы указать что у тебя Spigot 1.12
2) Это уточнить что у тебя для прав юзается ЛакиПермс
ЛакиПермс и твоя версия AuthMe не работают друг с другом.

Качай либо отсюда: https://ci.codemc.io/job/AuthMe/job/AuthMeReloaded/
Либо со спигота, но версию 5.4.0 (нужно проверять, но в идеале она как раз под 1.12 затачивалась, судя по дате релиза)
 

Thin_Troll

Пользователь
ставь последнюю версию аутми, последнюю версию лакипермса
и у лакиперсма в завимости закинь старое апи(есть тутор у лакипермса)
 

Комнаты в чате

Верх Низ